<?php

foreach (array_merge($POPUPS, $MODULES) as $module) {
    require("modules/" . $module . ".php");
}

function moduleLinkModules() {
    global $MODULES;
    global $config_module;

    $separator_flag = 0;

    foreach ($MODULES as $module) {
        if ($separator_flag) echo " | ";
        else $separator_flag = 1;

	if (strcmp($config_module, $module)) $css = "module_link";
	else $css = "module_link_current";
	
        echo "<a class=\"$css\" id=\"module_link_$module\" href=\"javascript:adei.OpenModule('$module')\">";
	if (isset($GLOBALS[$module . "_title"])) echo $GLOBALS[$module . "_title"];
	else echo $module;
	echo "</a>";
    }
}

function moduleLinkPopups() {
    global $POPUPS;
    
    foreach ($POPUPS as $module) {
	$text = implode("<br/>",str_split((isset($GLOBALS[$module . "_title"]))?$GLOBALS[$module . "_title"]:$module));
	?><div id="main_sidebar_<?echo $module;?>" class="sidebar"><table><tr>
	    <td class="holder"><div class="popup" id="popup_<?echo $module;?>" style="display: none;">
		<?if (function_exists($module . "Page")) call_user_func($module . "Page");?>
	    </div></td>
	    <td class="switch" id="popup_switch_<?echo $module;?>">
		<button onclick="javascript:adei.SwitchPopup('<?echo $module;?>')"><table width="100%" height="100%"><tr><td><?echo $text;?></td></tr></table></button>
	    </td>
	</tr></table></div><?
    }
}

function modulePlacePages() {
    global $MODULES;
    global $POPUPS;
    global $config_module;
    
    foreach ($MODULES as $module) {
	if (strcmp($config_module, $module)) $tmp_attr = " style=\"display: none;\"";
	else $tmp_attr = "";
    
	echo "<div class=\"module\" id=\"module_" . $module . "\"" . $tmp_attr . ">";
	if (function_exists($module . "Page")) call_user_func($module . "Page");
	echo "</div>";
    }
}


function modulePlaceJS() {
    global $MODULES;
    global $POPUPS;

    foreach ($POPUPS as $module) {
	if (function_exists($module . "JS")) call_user_func($module . "JS");
    }

    foreach ($MODULES as $module) {
	if (function_exists($module . "JS")) {
	    $module_class = call_user_func($module . "JS");
?>
	    adei.RegisterModule("<?echo $module;?>", <?echo $module_class?$module_class:"null";?>);
<?
	}
    }
}


function moduleAdjustGeometry($width_var, $height_var) {
    global $MODULES;
    foreach ($MODULES as $module) {
?>
    adei.UpdateModuleGeometry("<?echo $module;?>", <?echo $width_var;?>, <?echo $height_var;?>);
<?
    }
}

?>