<?php
require($ADEI_ROOTDIR . "/classes/timezone.php");
require($ADEI_ROOTDIR . "/classes/readertime.php");

require($ADEI_ROOTDIR . "/classes/profiler.php");
require($ADEI_ROOTDIR . "/classes/logger.php");

require($ADEI_ROOTDIR . "/classes/request.php");
require($ADEI_ROOTDIR . "/classes/options.php");
require($ADEI_ROOTDIR . "/classes/database.php");
require($ADEI_ROOTDIR . "/classes/datahandler.php");

require($ADEI_ROOTDIR . "/classes/common.php");
require($ADEI_ROOTDIR . "/classes/exception.php");
require($ADEI_ROOTDIR . "/classes/lock.php");
require($ADEI_ROOTDIR . "/classes/loggroup.php");
require($ADEI_ROOTDIR . "/classes/interval.php");
require($ADEI_ROOTDIR . "/classes/mask.php");
require($ADEI_ROOTDIR . "/classes/resolution.php");
require($ADEI_ROOTDIR . "/classes/data.php");

require($ADEI_ROOTDIR . "/classes/datafilter.php");
require($ADEI_ROOTDIR . "/classes/readerfilter.php");
require($ADEI_ROOTDIR . "/classes/filterdata.php");
require($ADEI_ROOTDIR . "/classes/reader.php");
require($ADEI_ROOTDIR . "/classes/cache.php");
require($ADEI_ROOTDIR . "/classes/draw.php");
require($ADEI_ROOTDIR . "/classes/drawtext.php");
require($ADEI_ROOTDIR . "/classes/welcome.php");
require($ADEI_ROOTDIR . "/classes/export.php");


class ADEI extends BASICRequest {
 var $RESPONSE_ENCODING;
 
 function __construct() {
    parent::__construct();
    $this->RESPONSE_ENCODING = REQUEST::GetResponseEncoding();
 }
 
 function __destruct() {
	// Fixing LabVIEW bug (existing at least at Internet Toolkit 6.0.1)
    if ($this->RESPONSE_ENCODING == REQUEST::ENCODING_LABVIEW) {
	echo str_repeat(" ", 1024);
    }
 }
}


$ADEI = new ADEI();

?>